Skip to main content
PUT

Method and API

Play with the API Explorer:

PUT /documentType/v1/libraries/{libraryId}

Guidelines

Request

Only libraryId is mandatory.

Sample request

To return just the bare minimum of class ID and displayName in the response, you can filter the results by populating the fields query parameter with items(displayName,id,kind),kind with %2C in place of each comma as follows:

Responses

The response returns an ApiDocumentTypeList resource, listing all document classes available as part of the specified library. Response fields of note:
  • id (of the class)
  • displayName(of the class)
  • libraryId (of the library we searched)
  • defaultClass (whether or not this is the library’s default class)
  • any other fields of interest

List classes in the UI

You can also list your library classes in the UI, on the Library Administration page. Go to Administration > Library administration. In the left-hand pane, go to Library configuration > Document classes. This is where your classes are listed. Note the singular green checkmark signifying the library’s default class.
list-classes-in-ui.png